Bug 56649 - per-device-sync-counters broke XResetScreenSaver
per-device-sync-counters broke XResetScreenSaver
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Server/General
unspecified
Other All
: medium normal
Assigned To: Xorg Project Team
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 22:27 UTC by Giacomo Perale
Modified: 2012-12-02 23:21 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giacomo Perale 2012-11-01 22:27:13 UTC
Some software uses XResetScreenSaver to inhibit the screensaver, but this mechanism ceased to work when I upgraded to xserver 1.13 (from 1.10). I noticed the problem when the screensaver began to start with mplayer running.

I did some tests with xprintidle and found out that moving the mouse or using the keyboard resets the idle counter (obtained through XScreenSaverQueryInfo), but calling XResetScreenSaver doesn't work anymore.

I bisected the xserver and got this:

6aef209ebc2e54f5465da505a780f7b4cc273ee0 is the first bad commit
commit 6aef209ebc2e54f5465da505a780f7b4cc273ee0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 12 13:51:02 2012 +1000

    Change lastDeviceIdleTime to be per-device
    
    Preparation work for per-device idle counters.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Reviewed-by: James Jones <jajones@nvidia.com>

:040000 040000 6a7958c45b76197398cf860e71acc6982c703e61 8eca0630922aeab68d407541d7db8bbf188fae03 M	Xext
:040000 040000 4db0dfcbccc248753a4339ea9591504256068add 8746259d9b51c1ab6c88e73856138a5cab49a08a M	Xi
:040000 040000 8b2d94cce90ace4da2a638917a08bc7b20c6d910 2a6cdb0810403bf7968542257e8a395a9c2d1e8f M	dix
:040000 040000 fe23a32fb09306399a5fe172d9528d9417e43347 c2ce91ea3ddd9eb8ee7c97468e4332f5a8e40911 M	hw
:040000 040000 8b85434ad49bea6e873299f29a1108718cbe6ff8 3b874b13b4771c71d73aedb327c28db08e9c395a M	include
:040000 040000 5a4a597ac63b4fd344a398d91b952ceaff1e35e5 7953b35df6972bda97eaccf0fe27f294010d8c35 M	os

The commit is part of the 'per-device-sync-counters' branch, merged in March.
Comment 2 Giacomo Perale 2012-11-20 07:34:54 UTC
(In reply to comment #1)
> http://lists.freedesktop.org/archives/xorg-devel/2012-November/034450.html

The patch works here.
Comment 3 Peter Hutterer 2012-12-02 23:21:35 UTC
commit 2dc6d9228456cbc274a1fcea478258e5ae4dc629
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Nov 15 14:00:57 2012 +1000

    When resetting device idle time, reset XIAll(Master)Devices too (#56649)